import java.io.*;
import java.util.*;

public class DateiRueckwaerts {

    public static void main(String[] args) {
        BufferedReader    br;
	ArrayList<String> list = new ArrayList<String>();
	String            line;
	int               length;

	try {
	    if ( args.length > 0 ) {
	        br = new BufferedReader(new FileReader(args[0]));
	    }
	    else {
	        br = new BufferedReader(new InputStreamReader(System.in));
	    }
	    while ( (line=br.readLine()) != null) {
	        list.add(line);
	    }
	    br.close();
	}
	catch (FileNotFoundException e) {
	    System.err.println("Unbekannte Datei: " + e.getMessage());
	    System.exit(1);
	}
	catch (IOException e) {
	    System.err.println("Lesefehler: " + e.getMessage());
	    System.exit(1);
	}

	for (int i=list.size()-1 ; i>=0 ; i--) {
	    System.out.println(list.get(i));
	}
    }
}
